<?php
require_once ('Session.php');
require_once ('Cargainicial.php');


   if(isset($_GET['conArchivo'])){
        $_POST['modulo']=$_GET['modulo'];
        $_POST['accion']=$_GET['accion'];
   }

switch ($_POST['modulo']) {
    case "session":
    $accion = $_POST['accion'];
        $controller = new SessionController;
        switch ($accion) {
            case 'sign_in':
                $user=$_POST['usuarios'];
                $pass=$_POST['pass'];
                
                echo json_encode($controller->$accion($user,$pass));
            break;
            
        }
        switch ($accion) {
            case 'nuevo_user':

                $taccion=$_POST['taccion'];
                $idUsuario=$_POST['idUsuario'];
                $userrol=$_POST['userrol'];
                $tipo_accio=$_POST['tipo_accio'];
                $tipo_user=$_POST['tipo_user'];
                $rfc_user=$_POST['rfc_user'];
                $nom_user=$_POST['nom_user'];
                $pass_user=$_POST['pass_user'];
                $estatus=$_POST['estatus'];
                $id_prov=$_POST['id_prov'];
                $correo=$_POST['correo'];
                $cel=$_POST['cel'];
                
                echo json_encode($controller->$accion($taccion,$idUsuario,$userrol,$tipo_accio,$tipo_user,$rfc_user,$nom_user,$pass_user,$estatus,$id_prov,$correo,$cel));
            break;
            
        }
    break;
    case "ordencompra":
    $accion = $_POST['accion'];
        $controller = new CargaIniController;
        switch ($accion) {
            case 'save_oc':
                $idUsuario= $_GET['idUsuario'];
                $rfc_pro= $_GET['rfc_pro'];
                $id_prov= $_GET['id_prov'];
                $fobra= $_GET['fobra'];
                $obra= $_GET['obra'];
                $importe= $_GET['importe'];
                $files= $_FILES['archioc'];
                $noc= $_GET['noc'];
                $numnoc= $_GET['numnoc'];
                $depto= $_GET['depto'];

                echo json_encode($controller->$accion($idUsuario,$rfc_pro,$id_prov,$fobra,$obra,$importe,$files,$noc,$numnoc,$depto));
            break;

            case 'save_documento':
                $idUsuario= $_GET['idUsuario'];
                $rfc_pro= $_GET['rfc_pro'];
                $fobra= $_GET['fobra'];
                $tipodoc= $_GET['tipodoc'];
                $odc= $_GET['odc'];
                $files= $_FILES['filessubir'];
                $nombrearchi= $_GET['nombrearchi'];
                $id= $_GET['id'];
                $fpgo='';
                

                echo json_encode($controller->$accion($idUsuario,$rfc_pro,$fobra,$tipodoc,$odc,$files,$nombrearchi,$id,$fpgo));
            break;

            case 'save_documento_xml':
                $idUsuario= $_GET['idUsuario'];
                $rfc_pro= $_GET['rfc_pro'];
                $fobra= $_GET['fobra'];
                $tipodoc= $_GET['tipodoc'];
                $odc= $_GET['odc'];
                $files= $_FILES['filessubirx'];
                $nombrearchi= $_GET['nombrearchi'];
                $id= $_GET['id'];
                $fpgo='';
                $array_xml = json_decode($_POST['array_xml']);
                $completo= $_GET['completo'];
                $saldoOC= $_GET['saldoOC'];
                

                echo json_encode($controller->$accion($idUsuario,$rfc_pro,$fobra,$tipodoc,$odc,$files,$nombrearchi,$id,$fpgo,$array_xml,$completo,$saldoOC));
            break;

            case 'crea_contrarecibo':
                $idUsuario= $_POST['idUsuario'];
                $userrol= $_POST['userrol'];
                $arrayxml= $_POST['arrayxml'];
                $array_id_attr= $_POST['array_id_attr'];
                $array_idUs_attr= $_POST['array_idUs_attr'];
                $array_idDoc_attr= $_POST['array_idDoc_attr'];
                $fpgo= $_POST['fpgo'];


                echo json_encode($controller->$accion($idUsuario,$userrol,$arrayxml,$array_id_attr,$array_idUs_attr,$array_idDoc_attr,$fpgo));
            break;

            case 'crea_pago_contrarecibo':
                $idUsuario= $_GET['idUsuario'];
                $userrol= $_GET['userrol'];
                $fcontra= $_GET['fcontra'];
                $fcontexml= $_GET['fcontexml'];
                $foliocontra= $_GET['foliocontra'];
                $arrayabonos = json_decode($_POST['arrayabonos']);
                //$arrayabonos= $_GET['arrayabonos'];
                $files= $_FILES['filessubirr'];
                $rfc_user= $_GET['rfc_user'];

                echo json_encode($controller->$accion($idUsuario,$userrol,$fcontra,$fcontexml,$foliocontra,$arrayabonos,$files,$rfc_user));
            break;

            case 'finalizar_oc':
                $id= $_POST['id'];
                $idUsuario= $_POST['idUsuario'];
                

                echo json_encode($controller->$accion($id,$idUsuario));
            break;
            case 'cancela_oc':
                $id= $_POST['id'];
                $idUsuario= $_POST['idUsuario'];
                

                echo json_encode($controller->$accion($id,$idUsuario));
            break;

            case 'quitarxml':

                $idusuario= $_POST['iduser'];
                $userrol= $_POST['roluser'];
                $oc=$_POST['oc'];
                $idxml=$_POST['idxml'];
                $posicion=$_POST['posicion'];
                $idarc=$_POST['idarc'];
                $id=$_POST['id'];

                echo json_encode($controller->$accion($idusuario,$userrol,$oc,$idxml,$posicion,$idarc,$id));
            break;
            case 'quitararch':

                $idusuario= $_POST['iduser'];
                $userrol= $_POST['roluser'];
                $id=$_POST['id'];
                $tiporch=$_POST['tiporch'];
                $idOC=$_POST['idOC'];
                
                echo json_encode($controller->$accion($idusuario,$userrol,$id,$tiporch,$idOC));
            break;
            
            case 'validarxml':
                $uuid= $_POST['uuid'];
                

                echo json_encode($controller->$accion($uuid));
            break;
            case 'bajar_contrarecibo':
                $id= $_POST['id'];
                $od= $_POST['od'];
                $user= $_POST['user'];
                

                echo json_encode($controller->$accion($id,$od,$user));
            break;
            case 'detalles_cr':
                $folio= $_POST['folio'];
                

                echo json_encode($controller->$accion($folio));
            break;
            case 'gurdar_comet_user':
                $idUsuario= $_POST['idUsuario'];
                $userrol= $_POST['userrol'];
                $id_oc= $_POST['id_oc'];
                $comentarios= $_POST['comentarios'];

                echo json_encode($controller->$accion($idUsuario,$userrol,$id_oc,$comentarios));
            break;
            case 'importe_oc':
                $oc= $_POST['oc'];
                $iduser= $_POST['iduser'];
                $id= $_POST['id'];

                echo json_encode($controller->$accion($oc,$iduser,$id));
            break;
            case 'save_documento_xml_cp':
                $idUsuario= $_GET['idUsuario'];
                $tipodoc= $_GET['tipodoc'];
                $nombrearchi= $_GET['nombrearchi'];
                $files= $_FILES['filessubirx'];

                $array_xml = json_decode($_POST['array_xml']);
                $facturasRelacionadas = json_decode($_POST['facturasRelacionadas']);
                $datainfopagos = json_decode($_POST['datainfopagos']);
                $pagosxml= $_GET['pagosxml'];
                

                echo json_encode($controller->$accion($idUsuario,$tipodoc,$files,$nombrearchi,$array_xml,$facturasRelacionadas,$datainfopagos,$pagosxml));
            break;
            case "enviar_c_proveedor":
                
                $idUsuario= $_POST['idUsuario'];
                $userrol= $_POST['userrol'];
                $correo= $_POST['correo'];
                $id_prov= $_POST['id_prov'];
                $motivo= $_POST['motivo'];
                
                echo json_encode($controller->$accion($idUsuario,$userrol,$correo,$id_prov,$motivo));
            break;
        }
    break;
    
    
   
    
}
?>